6.0.0-git
2019-03-20

[#9235] Horde_Group_Ldap group search problem
Summary Horde_Group_Ldap group search problem
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester jsantos (at) ci (dot) uc (dot) pt
Created 2010-09-07 (3116 days ago)
Due
Updated 2010-09-13 (3110 days ago)
Assigned
Resolved 2010-09-13 (3110 days ago)
Milestone
Patch No

History
2010-09-13 13:44:50 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2010-09-07 13:18:10 jsantos (at) ci (dot) uc (dot) pt Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Horde_Group_Ldap group search problem
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Having horde configured to work with groups and having a 
calendar/contact list shared with a group caused the following error 
when accessing turba/kronolith:

"Internal Error: An attribute must ALWAYS match itself:"

Transcript of chat with Jan Schneider
------------
[10/09/07 10:30:56] hi jan
[10/09/07 10:30:56] Joao Santos: I'm having a couple of problems with 
turba/kronolith
[10/09/07 10:31:22] Joao Santos: was wondering if you could give me some help?
[10/09/07 11:28:56] Jan Schneider: hi joao. shoot
[10/09/07 11:30:13] Joao Santos: well, i sahred calendar with a group
[10/09/07 11:30:33] Joao Santos: and then when I login and try to 
access the calendar i get the error
[10/09/07 11:30:33] Joao Santos: Ocorreu um erro fatal

Internal Error: An attribute must ALWAYS match itself:

Os detalhes foram enviados para o administrador do sistema.
[10/09/07 11:30:53] Joao Santos: this happens with both turba and kronolith
[10/09/07 11:31:49] Joao Santos: i've updated the version and 
reinstalled everythin, but keep bumping on this
[10/09/07 11:33:24] Jan Schneider: never heard of that error message before
[10/09/07 11:34:18] Jan Schneider: this seems to be coming from the 
ldap group driver
[10/09/07 11:34:49] Joao Santos: how can i try to debug this?
[10/09/07 11:36:03] Jan Schneider: the error is thrown in 
Horde_Group_Ldap#exists()
[10/09/07 11:36:30] Jan Schneider: i'm not sure what ldap_compare is 
supposed to do, but i'd start looking there
[10/09/07 11:52:24] Joao Santos: well aparently he tries to see if the 
group exists in the system
[10/09/07 11:52:30] Joao Santos: but doesn't find it
[10/09/07 11:53:35] Joao Santos: is ldap_compare a function of the 
horde ldap lib or from ldap itself?
[10/09/07 11:55:09] Joao Santos: I find it strange that internally the 
gid stored in the var gid is "cn"
[10/09/07 12:27:28] Jan Schneider: i think the logic in exists() is wrong
[10/09/07 12:27:55] Jan Schneider: the code and comments assume that 
-1 means "doesn't exist" and false means error
[10/09/07 12:28:00] Jan Schneider: but the php docs say the opposite
[10/09/07 12:28:37] Jan Schneider: and the error message in exists() 
is misleading at best
[10/09/07 12:29:05] Jan Schneider: try changing the "if ($res === 
false)" to "if ($res === -1)"
[10/09/07 13:35:56] Joao Santos: jan, that's exactly right

Saved Queries